## javax.help.event
Interface TextHelpModelListener

All Superinterfaces:
  java.util.EventListener

All Known Implementing Classes:
  BasicContentViewerUI, BasicNativeContentViewerUI

public interface TextHelpModelListener
extends java.util.EventListener

Defines the interface for an object that listens to changes in a TextHelpModel.

Method Summary
`void` `highlightsChanged(TextHelpModelEvent e)` Invoked when the set of highlights changess.

Method Detail

### highlightsChanged

    public void highlightsChanged(TextHelpModelEvent e)

  Invoked when the set of highlights changess. Note that this event is not generated when an idChanged() event is generated, since all the highlights are reset at that point.